Loading...
Searching...
No Matches
Datatype
Meta

Datatypes. More...

## Modules

| list_like
| Integer sequence
| Equivalent to C++14's `std::integer_sequence`
| Extension
| Extend meta with your own datatypes.
| lazy

## Classes

struct | meta::nil_
| An empty type. More...

## Typedefs

template<list_like L>
using | meta::inherit = meta::_t< detail::inherit_< L > >
| A type that inherits from all the types in the list.

## Detailed Description

Datatypes.

## Typedef Documentation

## inherit

template<list_like L>

using meta::inherit = typedef meta::_t<detail::inherit_<L> >

`#include <meta/meta.hpp>`

A type that inherits from all the types in the list.

Precondition
  The types in the list must be unique
  All the types in the list must be non-final class types